Subject: Mailagent_3.44-6.deb installation

From: Erik van der Meulen <[email-masked]>
Date: Tue, 10 Sep 1996 20:00:19 +0200

Dear all,

Because I needed some organisation in my mail (yes, if only in mail...), I
tried to install the mailagent_3.44-6.deb. This gave me a few problems, of
which I seem to have solved most. The binary file was:

-rwx------   1 root     root       524307 Aug 29 12:40 /usr/bin/mailagent

so I was unable to have it executed by any ordinary user. Further, the mail
spool file was assumed to be: /usr/spool/mail, instead of /var/spool/mail as
it is in Debian.
The only thing still failing is indicated in my log file:

96/09/10 12:47:13 mailagent[6]: starting SAVE /var/spool/mail/ben
96/09/10 12:47:53 mailagent[6]: WARNING could not lock /var/spool/mail/ben
96/09/10 12:47:53 mailagent[6]: WARNING was unable to get any lock on /var/spool
/mail/ben
96/09/10 12:47:53 mailagent[6]: ERROR could not save mail in /var/spool/mail/ben
96/09/10 12:47:53 mailagent[6]: DUMPED in /var/spool/mail/ben
96/09/10 12:47:54 mailagent[6]: FILTERED [qm30816] 14 bytes

It seems that this indicates a permission problem. I do not know where to look. 
/var/spool/mail looks like this:

-rw-rw----   1 ben      mail         1446 Sep 10 14:47 ben

Does anyone have a clue? I also would like to know what I did wrong
installing the package?

Thanks everyone for any suggestions!

Erik van der Meulen
[email-masked]